import { NextRequest, NextResponse } from 'next/server';
import { c as I18nMiddlewareConfig } from '../../types-2f7552d2.js';
import 'international-types';

declare function createI18nMiddleware<const Locales extends readonly string[]>(config: I18nMiddlewareConfig<Locales>): (request: NextRequest) => NextResponse<unknown>;

export { createI18nMiddleware };
